# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Apr 20 20:25:53 2023
# ------------------------------------------------

package:
  name: pynndescent
  version: 0.5.10
source:
  sha256: 5d5dc683c03ef55fe3ddf693859720ca18f85c6e6e5bb0b4f14870278d5288ad
  url: https://pypi.io/packages/source/p/pynndescent/pynndescent-0.5.10.tar.gz
build:
  noarch: python
  number: '0'
  script: /home/conda/feedstock_root/build_artifacts/pynndescent_1682022426475/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . -vv
  string: pyh1a96a4e_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.12.7 ha878542_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.40.0 h753d276_0
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.1.0 h0b41bf4_0
    - pip 23.1 pyhd8ed1ab_0
    - python 3.11.3 h2755cc3_0_cpython
    - readline 8.2 h8228510_1
    - setuptools 67.6.1 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2023c h71feb2d_0
    - wheel 0.40.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - llvmlite >=0.30
    - numba >=0.46
    - numpy >=1.13
    - python >=3.6
    - scikit-learn >=0.19
    - scipy >=1.0
    - setuptools
test:
  commands:
    - python -c "import pkg_resources; pkg_resources.require('pynndescent')"
  imports:
    - pynndescent
  requires:
    - python
    - setuptools
about:
  description: 'A Python nearest neighbor descent for approximate nearest neighbors.

    This is a relatively straightforward python implementation of

    Nearest Neighbor Descent for k-neighbor-graph construction and

    approximate nearest neighbor search.

    '
  dev_url: https://github.com/lmcinnes/pynndescent
  home: http://github.com/lmcinnes/pynndescent
  license: BSD-2-Clause
  license_family: BSD
  license_file: /home/conda/recipe_root/LICENSE
  summary: Simple fast approximate nearest neighbor search
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - lmcinnes
